--[[           
Name: Prat
Developed by: Curney of Uther, krtek
Inspired By: idChat2 by Industrial
Documentation: http://wiki.wowace.com/index.php/Prat
SVN: http://svn.wowace.com/root/trunk/Prat
Description: A framework for chat frame modules.
Dependencies: Ace2
]]

Prat = AceLibrary('AceAddon-2.0'):new('AceConsole-2.0', 'AceDB-2.0', 'AceDebug-2.0', 'AceEvent-2.0', 'AceHook-2.0', 'AceModuleCore-2.0')
Prat:RegisterDB('PratDB')
Prat:SetModuleMixins('AceEvent-2.0', 'AceHook-2.0')
Prat.Options = {
    name = "Prat",
    type = "group",
    desc = "A framework for chat frame modules.",
    args = {}
}

function Prat:OnEnable()
    self:RegisterChatCommand({'/prat'}, self.Options)
end

function Prat:OnDisable()
end

